Draft Array

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Array and the translation is 10% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
This command is deprecated in 0.19. For the new usage, see Draft OrthoArray, which works essentially the same way. Also see Draft PolarArray and Draft CircularArray.


Arrow-left.svg Draft Draft2Sketch.svg Draft to Sketch Anterior:
Siguiente: Link Array Draft LinkArray.svg Arrow-right.svg

Draft Array.svg Draft Array

Ubicación en el Menú
Boceto → Matriz
Entornos de trabajo
Boceto, Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
PolarArray, CircularArray, PathArray, PointArray, Clone


Descripción

La herramienta Matriz crea matrices ortogonalea (3 ejes) o polares a partir de los objetos seleccionados. Si no se selecciona ningún objeto, te solicitará que selecciones uno.

The Draft Array.svg Draft Array tool creates an orthogonal (3-axes), polar, or circular array from a selected object.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

To create polar and circular arrays directly, use the corresponding PolarArray and CircularArray tools; to position copies along a path use PathArray; to position copies at specified points use PointArray; to create copies or clones, and manually place them use Move, Rotate, and Clone.

To create App Links instead of simple copies, use LinkArray, Path LinkArray, and the proper option with PolarArray and CircularArray .

Draft Array example.png Draft PolarArray example.png

Draft Array example.jpg

Draft CircularArray example.png

Circular array from a solid object


Utilizaación

  1. Selecciona un objeto a partir del que desees crear una matriz
  2. Presiona el botón Draft Array.png Matriz

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • DataBase: specifies the object to duplicate in the array.
  • DataArray Type (Enumeration): specifies the type of array to create, "ortho", "polar", or "circular".
  • DataFuse: if it is True, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • DataInterval X: specifies the interval between each copy on the X axis.
  • DataInterval Y: specifies the interval between each copy on the Y axis.
  • DataInterval Z: specifies the interval between each copy on the Z axis.
  • DataNumber X: specifies the number of copies on the X axis.
  • DataNumber Y: specifies the number of copies on the Y axis.
  • DataNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • DataAxis: specifies the normal direction of the array circle.
  • DataCenter: specifies the center point of the array circle.
  • DataAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • DataNumber Polar: specifies the number of copies to place in the circular arrangement.
  • DataInterval Axis: specifies the interval between each copy on the DataAxis direction.

For circular arrays:

  • DataNumber Circles:
  • DataRadial distance:
  • DataSymmetry:
  • DataTangential Distance:

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if DataInterval X is (2 m, 1 m, 1 m), and DataNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The DataInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with DataInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Opciones

  • La matriz se inicia como ortogonal por defecto, puedes cambiar su modo en las propiedades.
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Propiedades

  • DataArray Type: Especifica el tipo de matriz orto o polar
array_list = array(objectslist, center, totalangle, totalnum)

Ejemplo:

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Para matrices polares:

  • DataAxis: La dirección normal a la circunferencia de la matriz
  • DataCenter: El punto centro de la matriz
  • DataAngle: El ángulo a cubrir con las copias
  • DataNumber Polar: El número de copias

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Para matrices ortogonales:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Archivos de guión

La herramienta Matriz se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")

Para matrices ortogonales:

Para matrices polares:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)

Template:Docnav/ea